Payment Authorization and Verification of Payee (VOP)

The Verification of Payee (VOP) check evaluates beneficiary details provided during payment authorization.

  1. Initiate a payment request to run a VOP check against beneficiary details.

    Endpoint

    POST https://api.uat.bcb.group/v5/payments/authorise

    1. Request Body

      Example 1: Match

      The provided name matches registered account details.

      {
        "counterparty_id": "Counterparty_ID",
        "sender_account_id": "Master Account ID",
        "beneficiary_name": "François Dupond",
        "beneficiary_address_line_1": "SOMEWHERE",
        "beneficiary_city": "LONDON",
        "beneficiary_country": "FR",
        "beneficiary_bic": "BCPYGB22XXX",
        "beneficiary_iban": "FR5012739000308682265435N36",
        "ccy": "EUR",
        "amount": "1",
        "reference": "VoP Test",
        "reason": "SALA",
        "notes": "URGENT",
        "preferred_scheme": "AUTO"
      }

      Example 2: Partial Match

      The surname is changed from "Dupond" to "Dupont".

      {
        "counterparty_id": "Counterparty_ID",
        "sender_account_id": "Master Account ID",
        "beneficiary_name": "François Dupont",
        "beneficiary_address_line_1": "SOMEWHERE",
        "beneficiary_city": "LONDON",
        "beneficiary_country": "FR",
        "beneficiary_bic": "BCPYGB22XXX",
        "beneficiary_iban": "FR5012739000308682265435N36",
        "ccy": "EUR",
        "amount": "1",
        "reference": "VoP Test",
        "reason": "SALA",
        "notes": "URGENT",
        "preferred_scheme": "AUTO"
      }

      Example 3: No Match

      The name is changed to "Bart Simpson".

      {
        "counterparty_id": "Counterparty_ID",
        "sender_account_id": "Master Account ID",
        "beneficiary_name": "Bart Simpson",
        "beneficiary_address_line_1": "SOMEWHERE",
        "beneficiary_city": "LONDON",
        "beneficiary_country": "FR",
        "beneficiary_bic": "BCPYGB22XXX",
        "beneficiary_iban": "FR5012739000308682265435N36",
        "ccy": "EUR",
        "amount": "1",
        "reference": "VoP Test",
        "reason": "SALA",
        "notes": "URGENT",
        "preferred_scheme": "AUTO"
      }
  2. Understanding Your VOP Result

    After sending a request, the system returns a VOP result by comparing beneficiary_name with the registered account name.

    Note: You must be subscribed to payment status update notifications to receive VOP results.

    VOP Response States

    • match: Exact match with registered details for the IBAN and BIC. The payment proceeds automatically.
    • close_match: Close, but not exact match (e.g., "Francois Dupont" vs "François Dupont"). Returns a suggestion with the correct name. You may proceed at a higher risk of failure.
    • no_match: Does not match registered details. You can cancel or proceed at your own risk.
    • impossible_match: Verification check cannot be carried out. You can proceed or retry later.
  3. Approve or Cancel the Payment

    When a payment returns close_match, no_match, or impossible_match, use the unique end2end_id from the authorization response to approve or cancel the transaction.

    1. Approve a Payment

      Send a POST request to continue the transaction:

      POST https://client-api.uat.bcb.group/v1/accounts/{accountId}/payments/{end2end_id}/verification-of-payee/approve

    2. Cancel a Payment

      Send a POST request to stop the transaction:

      POST https://client-api.uat.bcb.group/v1/accounts/{accountId}/payments/{end2end_id}/verification-of-payee/cancel